<?php
namespace Models;

class autonomus_nofr {
	public $f3, $sets, $config, $nofr=true;

	function __construct($f3, $sets, $config) {
		$this->f3=$f3;
		$this->sets=$sets;
		if(isset($config['PrintSalesReceipt']) || ($config['PrintSalesReceipt']!=0 && $config['PrintSalesReceipt']!=1)) {
			$config['PrintSalesReceipt']=1;
		}
        $this->config=$config;
	}

	function ticket($type, $sum, $return_bt=null, $lines=array()) {
		return array(
			'success'=>true,
			'txt'=>'',
			'slip'=>'',
			'pan'=>0,
			'transid'=>0,
			'authcode'=>0,
			'nofr'=>true,
			'sales_receipts'=>$this->config['PrintSalesReceipt']
		);
	}

	function z($change) {
		//$cheq=$this->sets['title']."\nСмена успешно закрыта";
		return array(
			'success'=>true,
			'txt'=>'',
			'slip'=>'',
			'pan'=>0,
			'transid'=>0,
			'authcode'=>0
		);
	}

	function x($change) {
		//$cheq='';
		return array(
			'success'=>true,
			'txt'=>'',
			'slip'=>'',
			'pan'=>0,
			'transid'=>0,
			'authcode'=>0
		);
	}
}